package cc.smtweb.system.bpm.web.design.db;

import cc.smtweb.framework.core.annotation.SwCache;
import cc.smtweb.framework.core.cache.AbstractCache;
import cc.smtweb.framework.core.cache.CacheManager;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.db.EntityDao;
import cc.smtweb.framework.core.db.vo.ModelProject;

import java.util.List;

/**
 * Created by Akmm at 2022/1/12 18:34
 */
@SwCache(ident = "ASP_MODEL_PROJECT", title = "项目定义")
public class ModelProjectCache extends AbstractCache<ModelProject> {
    public static ModelProjectCache getInstance() {
        return CacheManager.getIntance().getCache(ModelProjectCache.class);
    }

    public ModelProjectCache() {
    }

    @Override
    protected String getId(ModelProject bean) {
        return String.valueOf(bean.getId());
    }

    @Override
    protected List<ModelProject> loadAll() {
        EntityDao<ModelProject> dao = DbEngine.getInstance().findDao(ModelProject.class);
        return dao.query();
    }

    public String getModule(long id) {
        ModelProject bean = get(id);
        return bean != null ? bean.getModule() : "";
    }

}
